#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const http_1 = require("http");
const servie_http_1 = require("servie-http");
const index_1 = require("./index");
const args = require('arg')({
    '--config': String,
    '--port': Number,
    '--hostname': String,
    '-c': '--config',
    '-p': '--port',
    '-H': '--hostname'
});
const { '--config': config, '--port': port = 9000, '--hostname': hostname = 'localhost' } = args;
if (!config) {
    console.error('> Start with `--config` (`-c`) option');
    process.exit(1);
}
const { rules } = require(path_1.join(process.cwd(), config));
const app = servie_http_1.createHandler(index_1.proxy(rules));
http_1.createServer(app).listen(port, hostname, (err) => {
    if (err)
        throw err;
    console.log(`> Ready on http://${hostname}:${port}`);
});
//# sourceMappingURL=bin.js.map