import { Request, Response } from 'servie';
/**
 * Proxy configuration object.
 */
export interface Config {
    path?: string;
    methods?: string[];
    url: string;
}
/**
 * Create a simple service to proxy requests.
 */
export declare class Service {
    re?: RegExp;
    methods?: Set<string>;
    url: string;
    constructor(config: Config);
    isMethod(method: string): boolean;
    isPath(path: string): boolean;
    matches(req: Request): boolean;
}
/**
 * Proxy any number of paths to services.
 */
export declare function proxy(configs: Config[]): (req: Request, next: () => Promise<Response>) => Promise<Response>;
